from django.contrib.auth.models import AbstractUser
from django.db import models

# Create your models here.


class CustomUser(AbstractUser):
    username = models.CharField(max_length=11, blank=True, unique=True)
    photo_profile = models.ImageField(upload_to='media/', verbose_name='photo_profile')


class Product(models.Model):
    name = models.CharField(max_length=50)
    desc = models.TextField(max_length=100)
    photo_product = models.ImageField(upload_to='media/', verbose_name='photo_product')


class Order(models.Model):
    user = models.ForeignKey(CustomUser, on_delete=models.CASCADE)
    product = models.ForeignKey(Product, on_delete=models.CASCADE)
    created_at = models.DateTimeField(auto_now_add=True)
