from django.urls import path

from django.conf import settings
from django.conf.urls.static import static

from .views import *

urlpatterns = [
    path('', HomePageView.as_view(), name='base'),
    path('login/', LoginUserView.as_view(), name='login'),
    path('logout/', LogoutUserView.as_view(), name='logout'),
    path('service/', ProductListView.as_view(), name='service'),
    path('<int:pk>/service/', ProductDetailView.as_view(), name='detail'),
    path('accounts/profile/', ProfileListView.as_view(), name='profile'),
    path('accounts/register/', RegistrationListView.as_view(), name='register'),


] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
